/*
based on the Keramik and Plastik configuration dialog:

Plastik:
Copyright (C) 2003 Sandro Giessl <ceebx@users.sourceforge.net>

Keramik:
Copyright (c) 2003 Maksim Orlovich <maksim.orlovich@kdemail.net>

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation
the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

*/

#ifndef POLYMER_CONF_H
#define POLYMER_CONF_H

class TQCheckBox;
class TQComboBox;
class ConfigDialog;

class PolyesterStyleConfig: public TQWidget
{
	TQ_OBJECT
public:
	PolyesterStyleConfig(TQWidget* parent);
	~PolyesterStyleConfig();

	//This signal and the next two slots are the plugin
	//page interface
signals:
	void changed(bool);

public slots:
	void save();
	void defaults();

	//Everything below this is internal.
protected slots:
	void updateChanged();

protected:
	TQString buttonType( int listnr );
	int buttonItem( TQString kBType );
	TQString scrollBarType( int listnr );
	int scrollBarItem( TQString kSType );
	TQString readLicence();

	//Original settings, for accurate dirtiness tracking
	bool       origUseLowerCaseText;
	bool       origScrollBarLines;
	TQString    origScrollBarStyle;
	int        origScrollBarSize;
	bool       origColoredScrollBar;
	bool       origCenteredTabBar;
	bool       origHighLightTab;
	bool       origStatusBarFrame;
	int        origMenuItemSpacing;
	bool       origButtonMenuItem;
	bool       origMenuBarEmphasis;
	bool       origMenuBarEmphasisBorder;
	bool       origCustomMenuBarEmphasisColor;
	TQColor     origMenuBarEmphasisColor;
	bool       origMenuStripe;
        bool       origColorizeSortedHeader;
	bool       origShadowedButtonsText;
        bool       origShadowedMenuBarText;
	bool       origAnimProgressBar;
	bool       origLightBorder;
	bool       origAnimButton;
	bool       origAnimButtonToDark;
	bool       origDrawToolBarSeparator;
	bool       origDrawToolBarItemSeparator;
//	bool       origDrawFocusRect;
	bool       origDrawTriangularExpander;
	bool       origInputFocusHighlight;
	TQString    origButtonStyle;
	bool       origCustomOverHighlightColor;
	TQColor     origOverHighlightColor;
	bool       origCustomFocusHighlightColor;
	TQColor     origFocusHighlightColor;
	bool       origCustomCheckMarkColor;
	TQColor     origCheckMarkColor;

private:
	ConfigDialog *dialog_;
};

#endif
